import {connect} from "react-redux";
import {backURL} from "../actions";
import {CTrack} from "./track";


const Tracks = ({tracks}={}) =>
    <div>
        {(tracks || []).map(track => <CTrack track={track}/>)}
    </div>

const CTracks = connect(state => ({tracks: state.promise.trackFindByOwner1?.payload || []}))(Tracks)


export const UserTracks = ({match:{params:{_id}}}) =>
    <>
        <h1>{_id}</h1>
        <CTracks />
    </>
